using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderTypeState
	/// </summary>
	public partial class T_Wo_WorkOrderTypeState
	{
		private readonly ZXDT.CallCenter.DAL.T_Wo_WorkOrderTypeState dal=new ZXDT.CallCenter.DAL.T_Wo_WorkOrderTypeState();
		public T_Wo_WorkOrderTypeState()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public void Add(ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState model)
		{
			dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState model)
		{
			return dal.Update(model);
		}



        /// <summary>
        /// 删除一条数据
        /// </summary>
        public int Delete(int F_WORKORDERTYPEID)
        {

            return dal.Delete(F_WORKORDERTYPEID);
        }


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState GetModel()
		{
			//该表无主键信息，请自定义主键/条件字段
			return dal.GetModel();
		}


		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState> modelList = new List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new ZXDT.CallCenter.Model.T_Wo_WorkOrderTypeState();
					if(dt.Rows[n]["F_WorkOrderTypeId"]!=null && dt.Rows[n]["F_WorkOrderTypeId"].ToString()!="")
					{
						model.F_WorkOrderTypeId=int.Parse(dt.Rows[n]["F_WorkOrderTypeId"].ToString());
					}
					if(dt.Rows[n]["F_WorkOrderStateId"]!=null && dt.Rows[n]["F_WorkOrderStateId"].ToString()!="")
					{
						model.F_WorkOrderStateId=int.Parse(dt.Rows[n]["F_WorkOrderStateId"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

